| Extracted from Pike v7.8 release 866 at 2018-07-18.

[Top]
System

# Method System.NetGetAnyDCName()

Method NetGetAnyDCName

  `string NetGetAnyDCName(string|int(0..0) server, string domain)`

Description

  Get name of a domain controller from a server.

Parameter `server`

  Server the domain exists on.

Parameter `domain`

  Domain to get a domain controller for.

Returns

  Returns the name of a domain controller on success. Throws errors on failure.

Note

  This function is only available on some Win32 systems.

See also

  NetUserGetInfo() , NetUserEnum() , NetGroupEnum() , NetLocalGroupEnum() , NetUserGetGroups() , NetUserGetLocalGroups() , NetGroupGetUsers() , NetLocalGroupGetMembers() , NetGetDCName()